Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::SnapshotDeletionPolicy Class Reference

`#include <SnapshotDeletionPolicy.h>`

Inheritance diagram for Lucene::SnapshotDeletionPolicy:

## Public Member Functions

| SnapshotDeletionPolicy (const IndexDeletionPolicyPtr &primary)
virtual | ~SnapshotDeletionPolicy ()
virtual String | getClassName ()
boost::shared_ptr< SnapshotDeletionPolicy > | shared_from_this ()
virtual void | onInit (Collection< IndexCommitPtr > commits)
| This is called once when a writer is first instantiated to give the policy a chance to remove old commit points. More...
virtual void | onCommit (Collection< IndexCommitPtr > commits)
| This is called each time the writer completed a commit. This gives the policy a chance to remove old commit points with each commit. More...
virtual IndexCommitPtr | snapshot ()

Take a snapshot of the most recent commit to the index. You must call release() to free this snapshot. Note that while the snapshot is held, the files it references will not be deleted, which will consume additional disk space in your index. If you take a snapshot at a particularly bad time (say just before you call optimize()) then in the worst case this could consume an extra 1X of your total index size, until you release the snapshot. More...

virtual void | release ()
| Release the currently held snapshot. More...
Public Member Functions inherited from Lucene::IndexDeletionPolicy
virtual | ~IndexDeletionPolicy ()
boost::shared_ptr< IndexDeletionPolicy > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::IndexDeletionPolicy
static String | _getClassName ()

## Protected Member Functions

Collection< IndexCommitPtr > | wrapCommits (Collection< IndexCommitPtr > commits)
Protected Member Functions inherited from Lucene::IndexDeletionPolicy
| IndexDeletionPolicy ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

IndexCommitPtr | lastCommit
IndexDeletionPolicyPtr | primary
String | _snapshot
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::SnapshotDeletionPolicy::SnapshotDeletionPolicy | ( | const IndexDeletionPolicyPtr & | primary | ) |

virtual Lucene::SnapshotDeletionPolicy::~SnapshotDeletionPolicy | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::SnapshotDeletionPolicy::_getClassName | ( |  | ) |

inline static

virtual String Lucene::SnapshotDeletionPolicy::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::IndexDeletionPolicy.

virtual void Lucene::SnapshotDeletionPolicy::onCommit | ( | Collection< IndexCommitPtr > | commits | ) |

virtual

This is called each time the writer completed a commit. This gives the policy a chance to remove old commit points with each commit.

Implements Lucene::IndexDeletionPolicy.

virtual void Lucene::SnapshotDeletionPolicy::onInit | ( | Collection< IndexCommitPtr > | commits | ) |

virtual

This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.

Implements Lucene::IndexDeletionPolicy.

virtual void Lucene::SnapshotDeletionPolicy::release | ( |  | ) |

virtual

Release the currently held snapshot.

boost::shared_ptr< SnapshotDeletionPolicy > Lucene::SnapshotDeletionPolicy::shared_from_this | ( |  | ) |

inline

virtual IndexCommitPtr Lucene::SnapshotDeletionPolicy::snapshot | ( |  | ) |

virtual

Take a snapshot of the most recent commit to the index. You must call release() to free this snapshot. Note that while the snapshot is held, the files it references will not be deleted, which will consume additional disk space in your index. If you take a snapshot at a particularly bad time (say just before you call optimize()) then in the worst case this could consume an extra 1X of your total index size, until you release the snapshot.

Collection<IndexCommitPtr> Lucene::SnapshotDeletionPolicy::wrapCommits | ( | Collection< IndexCommitPtr > | commits | ) |

protected

## Field Documentation

String Lucene::SnapshotDeletionPolicy::_snapshot

protected

IndexCommitPtr Lucene::SnapshotDeletionPolicy::lastCommit

protected

IndexDeletionPolicyPtr Lucene::SnapshotDeletionPolicy::primary

protected

The documentation for this class was generated from the following file:

- SnapshotDeletionPolicy.h

clucene.sourceforge.net